#include <iostream>
#include <cmath>
using namespace std;
int main(){
    int x1,y1,x2,y2,razlika_x,razlika_y,t;
    cin>>x1>>y1>>x2>>y2;
    razlika_x = abs(x2-x1);
    razlika_y = abs(y2-y1);
    if(razlika_x == razlika_y){
        t = 1;
    }
    else if(x1 == x2 || y1 == y2){
        t = 2;
    }
    else{
        t = 0;
    }
    cout<<t;
}